// File: Configuration.cpp
//
// Description: Main source file for the Printer Configuration application

#include "StdAfx.h"
#include "Configuration.h"
#include "MainDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// The one and only CBConfigurationApp object
CConfigurationApp theApp;

BOOL CConfigurationApp::InitInstance()
{
	// As XP-like controls are used in our application, we call InitCommonControlsEx()
	// to register control classes from the ComCtl32.dll version 6 or later
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	// Initialize application
	CWinApp::InitInstance();

	// Create and show main dialog
	CMainDlg dlg;
	m_pMainWnd = &dlg;
	dlg.DoModal();

	// Terminate execution
	return FALSE;
}
