// File: SHDialogs.h
//
// Description: Include file for special dialog functionality
// (.exe-file and folder selection dialogs)

#if !defined(__SHDIALOGS_H__)
#define __SHDIALOGS_H__

#pragma once

/*
	This function opens OpenFile dialog and returns full path to the
	selected filename in lpszFileName parameter; function will return
	FALSE if file selection will be cancelled
*/
BOOL OpenFileDialogBox(HWND hDlg, LPTSTR lpszFileName, int iFileNameLen);

/*
	This function opens OpenFolder dialog and returns the selected folder;
	lpszFolderName must contain an address of a buffer to receive the file
	system path, this buffer must be at least MAX_PATH characters in size
*/
BOOL OpenFolderDialogBox(HWND hDlg, LPTSTR lpszFolderName);

#endif // !defined(__SHDIALOGS_H__)
